package com.unis.crk.basic.service;

import com.unis.crk.basic.entity.FuncInfo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 功能信息表 服务类
 * </p>
 *
 * @author ghh
 * @since 2021-09-26
 */
public interface IFuncInfoService extends IService<FuncInfo> {

    List<FuncInfo> getFuncInfoByRoleId(String roleId);
     List<FuncInfo> getAllFuncInfo();

    FuncInfo getByFuncId( String id);

    /**
     * 获取当前用户所有功能权限
     * @param userId
     * @param isApp
     * @return
     */
    List<FuncInfo> getFuncInfoByUserId(String userId, String isApp);
}
